program OWspline
use sep 
use cgstep_mod
use base_spline_real
use solver_tiny_mod
use tipo_mod
use parametros_mod
implicit none

real, allocatable              		      :: vel(:),vel0(:)
integer                                       :: stat

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 call sep_init()
 call sep_begin_prog()
 call parametro()
 allocate(vel(4*v%xm%n*v%ym%n*v%z%n));vel=0.
 allocate(vel0(4*v%xm%n*v%ym%n*v%z%n));vel0=0.
write(0,*) "main01"
 call sreed ("vel",vel0,4*v%xm%n*v%ym%n*v%z%n)
write(0,*) "main02"
 stat = base_spln3d_init(v%xm,v%ym,v%z,axk,ayk,azk)
 call solver_tiny( vel,vel0, base_spln3d_oper, cgstep, 10)
write(0,*) "main03"
 call srite("vspl",vel,4*v%z%n*v%ym%n*v%xm%n)
write(0,*) "main04"
 if (allocated(vel)) deallocate(vel)
 if (allocated(vel0)) deallocate(vel0)
 call sep_end_prog()
 end program 
